Bug 1249915 - [abrt] tuned-gtk: tuned-gui:100:__init__:NameError: global name 'GlobalConfig' is not defined
[abrt] tuned-gtk: tuned-gui:100:__init__:NameError: global name 'GlobalConfig...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c8c5b03b59b45e1d3316066965b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 02:57 EDT by sheepdestroyer
Modified: 2015-09-03 14:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.5.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 03:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (397 bytes, text/plain)
2015-08-04 02:57 EDT, sheepdestroyer
no flags Details
File: environ (2.06 KB, text/plain)
2015-08-04 02:57 EDT, sheepdestroyer
no flags Details

  None (edit)
Description sheepdestroyer 2015-08-04 02:57:40 EDT
Version-Release number of selected component:
tuned-gtk-2.5.0-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /sbin/tuned-gui
executable:     /sbin/tuned-gui
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
tuned-gui:100:__init__:NameError: global name 'GlobalConfig' is not defined

Traceback (most recent call last):
  File "/sbin/tuned-gui", line 1009, in <module>
    base = Base()
  File "/sbin/tuned-gui", line 100, in __init__
    self.config = GlobalConfig()
NameError: global name 'GlobalConfig' is not defined

Local variables in innermost frame:
self: <__main__.Base object at 0x7fe5c100c210>
Comment 1 sheepdestroyer 2015-08-04 02:57:42 EDT
Created attachment 1058953 [details]
File: backtrace
Comment 2 sheepdestroyer 2015-08-04 02:57:43 EDT
Created attachment 1058954 [details]
File: environ
Comment 3 Fedora Update System 2015-08-04 06:18:24 EDT
tuned-2.5.1-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/tuned-2.5.1-1.fc23
Comment 4 Fedora Update System 2015-08-04 06:18:44 EDT
tuned-2.5.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tuned-2.5.1-1.fc22
Comment 5 Fedora Update System 2015-08-04 06:29:16 EDT
tuned-2.5.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tuned-2.5.1-1.fc21
Comment 6 Fedora Update System 2015-08-04 20:13:01 EDT
Package tuned-2.5.1-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuned-2.5.1-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12766/tuned-2.5.1-1.fc23
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-08-12 07:38:58 EDT
tuned-2.5.1-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/tuned-2.5.1-2.fc23
Comment 8 Fedora Update System 2015-08-12 07:49:03 EDT
tuned-2.5.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tuned-2.5.1-2.fc21
Comment 9 Fedora Update System 2015-08-12 07:51:26 EDT
tuned-2.5.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tuned-2.5.1-2.fc22
Comment 10 Fedora Update System 2015-08-19 03:52:09 EDT
tuned-2.5.1-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-03 14:49:48 EDT
tuned-2.5.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-03 14:50:42 EDT
tuned-2.5.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.